# Build the manager binary
FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202106291913.p0.git.a362f97.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202106291913.p0.git.a362f97.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a362f97 OS_GIT_VERSION=4.8.0-202106291913.p0.git.a362f97.assembly.stream-a362f97 SOURCE_DATE_EPOCH=1622645819 SOURCE_GIT_COMMIT=a362f97d3cdd41e73ee27c4e45f868b0b4fb72c8 SOURCE_GIT_TAG=a362f97d SOURCE_GIT_URL=https://github.com/openshift/cluster-nfd-operator 
WORKDIR /go/src/github.com/openshift/cluster-nfd-operator

# Build
COPY . .
RUN make build

# Create production image for running the operator
FROM openshift/ose-base:v4.8.0-202106152230.p0.git.ad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202106291913.p0.git.a362f97.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202106291913.p0.git.a362f97.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a362f97 OS_GIT_VERSION=4.8.0-202106291913.p0.git.a362f97.assembly.stream-a362f97 SOURCE_DATE_EPOCH=1622645819 SOURCE_GIT_COMMIT=a362f97d3cdd41e73ee27c4e45f868b0b4fb72c8 SOURCE_GIT_TAG=a362f97d SOURCE_GIT_URL=https://github.com/openshift/cluster-nfd-operator 
ARG CSV=4.8
COPY --from=builder /go/src/github.com/openshift/cluster-nfd-operator/node-feature-discovery-operator /

RUN mkdir -p /opt/nfd
COPY build/assets /opt/nfd
COPY manifests /manifests

RUN useradd cluster-nfd-operator
USER cluster-nfd-operator

ENTRYPOINT ["/node-feature-discovery-operator"]

LABEL \
        io.k8s.display-name="node-feature-discovery-operator" \
        name="openshift/ose-cluster-nfd-operator" \
        com.redhat.component="cluster-nfd-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node Feature Discovery Operator" \
        release="202106291913.p0.git.a362f97.assembly.stream" \
        io.openshift.build.commit.id="a362f97d3cdd41e73ee27c4e45f868b0b4fb72c8" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-nfd-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-nfd-operator/commit/a362f97d3cdd41e73ee27c4e45f868b0b4fb72c8" \
        version="v4.8.0"

